Bug 966909 - thermostat: GUI error messages are non-descriptive
thermostat: GUI error messages are non-descriptive
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: thermostat (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Omair Majid
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-24 05:04 EDT by Mikolaj Izdebski
Modified: 2017-08-08 07:42 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 07:42:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
An example of error message (3.10 KB, image/png)
2013-05-24 05:05 EDT, Mikolaj Izdebski
no flags Details
Another example of error message (4.10 KB, image/png)
2013-05-24 05:05 EDT, Mikolaj Izdebski
no flags Details

  None (edit)
Description Mikolaj Izdebski 2013-05-24 05:04:42 EDT
Description of problem:
Error messages displayed in GUI don't provide enough detail.
Steps to Reproduce:
1. try to perform an action that fails (like running GC)

Actual results:
Vague error message

Expected results:
Error message provides enough detail to diagnose problem. Possibly stack trace, since Thermostat is supposed to be used by people that have at least some basic understanding of Java.

Additional info:
See atatchements.
Comment 1 Mikolaj Izdebski 2013-05-24 05:05:24 EDT
Created attachment 752514 [details]
An example of error message
Comment 2 Mikolaj Izdebski 2013-05-24 05:05:58 EDT
Created attachment 752515 [details]
Another example of error message
Comment 3 Marcela Mašláňová 2013-10-15 04:23:46 EDT
Rest of error messages is not better. I see "Thermostat failed connect to data collector." What does it mean?
Also if I try to click "Configure" there is pre-filled "Storage URL", but also "User Name" and "Password". Username for Thermostat? Where do I create it?
Comment 4 Severin Gehwolf 2013-10-15 06:31:27 EDT
(In reply to Marcela Mašláňová from comment #3)
> Rest of error messages is not better. I see "Thermostat failed connect to
> data collector." What does it mean?

Agreed. We need to do better than this. As far as your "failed to connect to data collector" message is concerned please see also:
http://icedtea.classpath.org/bugzilla/show_bug.cgi?id=1572

> Also if I try to click "Configure" there is pre-filled "Storage URL", but
> also "User Name" and "Password". Username for Thermostat? Where do I create
> it?

For mongodb:// connection URLs empty username/password should be sufficient. As far as http:// URLs are concerned that's a bit of a different story.
Comment 5 Fedora End Of Life 2015-01-09 13:12:29 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Severin Gehwolf 2015-03-18 13:34:11 EDT
(In reply to Mikolaj Izdebski from comment #0)
> Description of problem:
> Error messages displayed in GUI don't provide enough detail.
> Steps to Reproduce:
> 1. try to perform an action that fails (like running GC)

I'd like to clarify one important point. Thermostat is a distributed instrumentation and monitoring solution. Thus what runs all-local in some setup runs on different hosts in others. Example:

Host A runs agent. Host B runs gui. So performing GC means thermostat connecting to host A and asking the thermostat agent there to perform an action on behalf of user of gui on Host B.

> Actual results:
> Vague error message
> 
> Expected results:
> Error message provides enough detail to diagnose problem. Possibly stack
> trace, since Thermostat is supposed to be used by people that have at least
> some basic understanding of Java.

Providing stack traces is not a good idea for various reasons (information disclosure, extra network traffic for stack trace delivery, etc). So what we could do is adding a note "Please see agent logs for details". Not sure if adding this will add much value, though.
Comment 7 Fedora End Of Life 2015-05-29 05:04:47 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-11-04 06:12:33 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Jan Kurik 2016-02-24 08:12:36 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 10 Fedora End Of Life 2017-07-25 14:32:48 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2017-08-08 07:42:09 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.